For AI agents: a documentation index is available at https://www.mongodb.com/docs/api/doc/agentengine/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare
2 structure changes including:
2 Modifications
Modified 2 Breaking
GET /api/v1/projects/{id}/memory/config
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • config property Modified
        • extraction property Modified
    • application/json content type Modified
      • config property Modified
        • extraction property Modified
PUT /api/v1/projects/{id}/memory/config
  • Body
  • application/json content type Modified
    • extraction property Modified
      • entity property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • config property Modified
        • extraction property Modified
    • application/json content type Modified
      • config property Modified
        • extraction property Modified
28 structure changes including:
28 Modifications
Modified 28
DELETE /api/v1/organizations/{id}/service-accounts/{client_id}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/keys/{key_id}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/secrets/{name}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/service-accounts/{client_id}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}
  • Response
  • 429, 503 responses Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/{name}
  • Response
  • 429, 503 responses Added
PATCH /api/v1/organizations/{id}/service-accounts/{client_id}
  • Response
  • 429, 503 responses Added
PATCH /api/v1/projects/{id}/service-accounts/{client_id}
  • Response
  • 429, 503 responses Added
PATCH /api/v1/projects/{id}/workspaces/{workspace_id}
  • Response
  • 429, 503 responses Added
POST /api/v1/organizations/{id}/service-accounts
  • Response
  • 429, 503 responses Added
POST /api/v1/organizations/{id}/service-accounts/{client_id}/rotate
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/secrets/sync
  • Response
  • 429 response Added
POST /api/v1/projects/{id}/service-accounts
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/service-accounts/{client_id}/rotate
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/archive-init
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/cancel
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/start
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments/{deployment_id}/cancel
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/rollback
  • Response
  • 429, 503 responses Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/sync
  • Response
  • 429, 503 responses Added
PUT /api/v1/organizations/{id}/service-accounts/{client_id}/ip-access-list
  • Response
  • 429, 503 responses Added
PUT /api/v1/projects/{id}/secrets/{name}
  • Response
  • 429, 503 responses Added
PUT /api/v1/projects/{id}/service-accounts/{client_id}/ip-access-list
  • Response
  • 429, 503 responses Added
PUT /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/{name}
  • Response
  • 429, 503 responses Added
2 structure changes including:
2 Modifications
Modified 2
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invoke
  • Header
  • X-Session-ID header Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invokeStream
  • Header
  • X-Session-ID header Added
2 structure changes including:
1 Addition
1 Modification
Modified 1
GET /api/v1/platform/egress-ips
  • Operation is now deprecated
Added 1
GET /api/v1/platform/agent-egress-ips
2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/projects/{id}/deployments/{deployment_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • memory_enabled property Added
    • application/json content type Modified
      • memory_enabled property Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • deployments property Modified
        • memory_enabled property Added
    • application/json content type Modified
      • deployments property Modified
        • memory_enabled property Added
1 structure change including:
1 Modification
Modified 1
GET /api/v1/projects/{id}/sessions/{session_id}/runs
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • runs property Modified
        • startup_failure property Added
    • application/json content type Modified
      • runs property Modified
        • startup_failure property Added
2 structure changes including:
2 Modifications
Modified 2 Breaking
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invoke
  • Header
  • X-Agentic-Test-Session, X-Agentic-Invoke-Timeout-Seconds headers Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • X-Agent-Engine-Test-Session, X-Agent-Engine-Invoke-Timeout-Seconds headers Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invokeStream
  • Header
  • X-Agentic-Test-Session header Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • X-Agent-Engine-Test-Session header Added
1 structure change including:
1 Modification
Modified 1
GET /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/logs
  • Response
  • 499, 504 responses Added
1 structure change including:
1 Modification
Modified 1
GET /api/v1/atlas/projects/{project_id}/clusters
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • results property Modified
        • tier property Added
    • application/json content type Modified
      • results property Modified
        • tier property Added
1 structure change including:
1 Modification
Modified 1
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invoke
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • error_code property Added
    • application/json content type Modified
      • error_code property Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • alternative Modified
        • InvokeWorkspaceResponse alternative Modified
    • application/json content type Modified
      • alternative Modified
        • InvokeWorkspaceResponse alternative Modified
1 structure change including:
1 Modification
Modified 1
GET /api/v1/projects/{id}/agent-logs
  • Response
  • 429, 503 responses Added
2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/projects/{id}/deployments/{deployment_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • components property Modified
        • replicas property Added
    • application/json content type Modified
      • components property Modified
        • replicas property Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • deployments property Modified
        • components property Modified
    • application/json content type Modified
      • deployments property Modified
        • components property Modified
164 structure changes including:
1 Addition
163 Modifications
Modified 163 Breaking
GET /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/atlas/projects/{project_id}/access-list
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/atlas/projects/{project_id}/clusters
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/atlas/projects/{project_id}/database-users
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/atlas/projects/{project_id}/model-api-keys
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/ecr/token
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/oauth/callback
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/invitations
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/policies
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/policies/preview
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/service-accounts
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/service-accounts/{client_id}/rotate
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/organizations/{id}/support-access
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/orgs/{orgId}/projects
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/executions/{execution_id}/cancel
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/executions/{execution_id}/interrupt
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/executions/{execution_id}/resume
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 422 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 504 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/guardrails
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/invitations
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/keys
  • Response
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 410 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/logs
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments/current
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments/versions
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/health
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/promotions
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/promotions/{promotion_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/runtime-sessions
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 425 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/secrets
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/support-access
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/users/me
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/users/me/invitations
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/atlas/projects/{project_id}/database-users/{username}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/organizations/{id}/invitations/{invitationId}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/organizations/{id}/members/{userId}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/organizations/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/projects/{id}/invitations/{invitationId}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/projects/{id}/members/{userId}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/projects/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PATCH /api/v1/projects/{id}/workspaces/{workspace_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/config/sync
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/rollback
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 412 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/runtime-sessions/{session_id}/stop
  • Response
  • 202 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 425 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/sync
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/support-access
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/users/me/invitations/{invitationId}/accept
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/users/me/invitations/{invitationId}/decline
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/organizations/{id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/organizations/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/organizations/{id}/service-accounts/{client_id}/ip-access-list
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/atlas-link
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/guardrails/{guardrail_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/memory/config
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/secrets/{name}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/service-accounts/{client_id}/ip-access-list
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/trace-export/config
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/{name}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/users/me/last-selected-org
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
PUT /api/v1/users/me/last-selected-project
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/context
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/retrieval/context-from-sources
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/runtime
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 202 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 412 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/runtime/restart
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 412 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 501 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/search
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/memory/turns
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/policies
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/secrets/sync
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 501 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/service-accounts
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/service-accounts/{client_id}/rotate
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces
  • Response
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 201 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/archive-init
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/cancel
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}/start
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 202 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 412 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments/{deployment_id}/cancel
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invoke
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 422 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 504 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/invokeStream
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • text/event-stream content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 422 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 504 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
POST /api/v1/projects/{id}/workspaces/{workspace_id}/promotions
  • Response
  • 202 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 413 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/oauth/{resource}/disconnect
  • Response
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/atlas/projects/{project_id}/clusters/{cluster_name}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/feature-flags
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/feature-flags/global
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/oauth/{resource}/initiate
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/audit-events
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/invitations
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/members
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/policies
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/policies/rollout
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/service-accounts
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/service-accounts/aggregate
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/organizations/{id}/support-access
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/orgs/{orgId}/projects
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/orgs/{orgId}/projects/{projectId}/workspace-secrets
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/platform/egress-ips
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/organizations/{id}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/organizations/{id}/invitations/{invitationId}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/organizations/{id}/members/{userId}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/organizations/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/organizations/{id}/support-access
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/atlas-link
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/guardrails/{guardrail_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/invitations/{invitationId}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/keys/{key_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/members/{userId}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/secrets/{name}
  • Response
  • 204 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}
  • Response
  • 204 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}/builds/{build_id}
  • Response
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}/secrets/{name}
  • Response
  • 204 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
DELETE /api/v1/projects/{id}/workspaces/{workspace_id}/support-access
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/atlas/orgs
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/atlas/projects
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/atlas/projects/{project_id}/clusters
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 402 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 409 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/node-executions
  • Response
  • 200 response Modified
    • application/json content type Modified
      • executions property Modified
        • timestamp property Modified
          • Type went from object to string(date-time)
            Breaking
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 425 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/policies
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/policies/effective
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/promotions
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 429 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 503 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/secrets
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/secrets/runtime
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/secrets/status
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/service-accounts
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/service-accounts/{client_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/sessions
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/sessions/{session_id}/messages
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 422 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/sessions/{session_id}/runs
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/trace-export/config
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/trace-export/presets
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/traces
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 425 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspace-statuses
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/builds
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/agent-logs
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/atlas-link
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 404 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/builds
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 403 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
GET /api/v1/projects/{id}/cost/dashboard
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 400 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 401 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 500 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 502 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Added
  • 406 response Added
[...]
